unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

procedure FreeAbout(FormRef: LongInt);export;stdcall

type
 ShowA=function (Handle: THandle):LongInt;stdcall;

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
    f:LongInt;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  procedure FreeAbout;external 'ProjectDLL.dll' index 11;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
 dllHandle:THandle;
 sa:ShowA;
begin
 if f>0 then
  FreeAbout(f);

 dllHandle:=LoadLibrary('ProjectDLL.dll');

 if dllHandle=0 then
  exit;//  

 @sa:=GetProcAddress(dllHandle, 'ShowAbout');

 if @sa=nil then
  exit;//  

 f:=sa(Handle);
 FreeLibrary(dllHandle);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 if f>0 then
  FreeAbout(f);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
 f:=0;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 if f>0 then
  FreeAbout(f);
end;

end.
